"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SidechainInteroperabilityInternalMethod = void 0;
const base_interoperability_internal_methods_1 = require("../base_interoperability_internal_methods");
const chain_account_1 = require("../stores/chain_account");
const terminated_state_1 = require("../stores/terminated_state");
class SidechainInteroperabilityInternalMethod extends base_interoperability_internal_methods_1.BaseInteroperabilityInternalMethod {
    async isLive(context, chainID) {
        const chainAccountExists = await this.stores.get(chain_account_1.ChainAccountStore).has(context, chainID);
        if (chainAccountExists) {
            const chainAccount = await this.stores.get(chain_account_1.ChainAccountStore).get(context, chainID);
            if (chainAccount.status === 2) {
                return false;
            }
        }
        const isTerminated = await this.stores.get(terminated_state_1.TerminatedStateStore).has(context, chainID);
        if (isTerminated) {
            return false;
        }
        return true;
    }
}
exports.SidechainInteroperabilityInternalMethod = SidechainInteroperabilityInternalMethod;
//# sourceMappingURL=internal_method.js.map